summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
Diffstat (limited to 'jjb')
-rwxr-xr-xjjb/3rd_party_ci/create-apex-vms.sh14
-rwxr-xr-xjjb/3rd_party_ci/download-netvirt-artifact.sh12
-rwxr-xr-xjjb/3rd_party_ci/functest-netvirt.sh5
-rwxr-xr-xjjb/3rd_party_ci/install-netvirt.sh12
-rw-r--r--jjb/3rd_party_ci/odl-netvirt.yml15
-rwxr-xr-xjjb/3rd_party_ci/postprocess-netvirt.sh5
-rw-r--r--jjb/global/slave-params.yml2
7 files changed, 37 insertions, 28 deletions
diff --git a/jjb/3rd_party_ci/create-apex-vms.sh b/jjb/3rd_party_ci/create-apex-vms.sh
index cb742712b..a076dd084 100755
--- a/jjb/3rd_party_ci/create-apex-vms.sh
+++ b/jjb/3rd_party_ci/create-apex-vms.sh
@@ -1,8 +1,12 @@
#!/bin/bash
+set -e
-# clone opnfv sdnvpn repo
-git clone https://gerrit.opnfv.org/gerrit/p/sdnvpn.git
-cd sdnvpn
-ls -al
+# wipe the WORKSPACE
+/bin/rm -rf $WORKSPACE/*
-# here is where the script(s) to bring up apex vms should be executed
+# clone opnfv sdnvpn repo
+git clone https://gerrit.opnfv.org/gerrit/p/sdnvpn.git $WORKSPACE/sdnvpn
+. $WORKSPACE/sdnvpn/odl-pipeline/odl-pipeline-common.sh
+pushd $LIB
+./test_environment.sh --env-number $APEX_ENV_NUMBER --cloner-info $CLONER_INFO --snapshot-disks $SNAPSHOT_DISKS --vjump-hosts $VIRTUAL_JUMPHOSTS
+popd
diff --git a/jjb/3rd_party_ci/download-netvirt-artifact.sh b/jjb/3rd_party_ci/download-netvirt-artifact.sh
index d0b9a05d7..0a48e3aec 100755
--- a/jjb/3rd_party_ci/download-netvirt-artifact.sh
+++ b/jjb/3rd_party_ci/download-netvirt-artifact.sh
@@ -1,4 +1,8 @@
#!/bin/bash
+set -e
+
+# wipe the WORKSPACE
+/bin/rm -rf $WORKSPACE/*
echo "Attempting to fetch the artifact location from ODL Jenkins"
CHANGE_DETAILS_URL="https://git.opendaylight.org/gerrit/changes/netvirt~master~$GERRIT_CHANGE_ID/detail"
@@ -7,7 +11,13 @@ ODL_JOB_URL=$(curl -s $CHANGE_DETAILS_URL | grep netvirt-patch-test-current-carb
sed 's/\\n//g' | awk '{print $6}')
NETVIRT_ARTIFACT_URL="${ODL_JOB_URL}org.opendaylight.integration\$distribution-karaf/artifact/org.opendaylight.integration/distribution-karaf/0.6.0-SNAPSHOT/distribution-karaf-0.6.0-SNAPSHOT.tar.gz"
echo -e "URL to artifact is\n\t$NETVIRT_ARTIFACT_URL"
+
echo "Downloading the artifact. This could take time..."
-curl -s -o $NETVIRT_ARTIFACT $NETVIRT_ARTIFACT_URL
+wget -q -O $NETVIRT_ARTIFACT $NETVIRT_ARTIFACT_URL
+if [[ $? -ne 0 ]]; then
+ echo "The artifact does not exist! Probably removed due to ODL Jenkins artifact retention policy."
+ echo "Rerun netvirt-patch-test-current-carbon to get artifact rebuilt."
+ exit 1
+fi
echo "Download complete"
ls -al $NETVIRT_ARTIFACT
diff --git a/jjb/3rd_party_ci/functest-netvirt.sh b/jjb/3rd_party_ci/functest-netvirt.sh
index abc7975ce..adffaf42d 100755
--- a/jjb/3rd_party_ci/functest-netvirt.sh
+++ b/jjb/3rd_party_ci/functest-netvirt.sh
@@ -1,4 +1,7 @@
#!/bin/bash
+set -e
+
+# wipe the WORKSPACE
+/bin/rm -rf $WORKSPACE/*
echo "Hello World"
-ls -al $WORKSPACE
diff --git a/jjb/3rd_party_ci/install-netvirt.sh b/jjb/3rd_party_ci/install-netvirt.sh
index 041d8517e..96c4b9634 100755
--- a/jjb/3rd_party_ci/install-netvirt.sh
+++ b/jjb/3rd_party_ci/install-netvirt.sh
@@ -1,8 +1,8 @@
#!/bin/bash
-
+set -e
# clone opnfv sdnvpn repo
-git clone https://gerrit.opnfv.org/gerrit/p/sdnvpn.git
-cd sdnvpn
-ls -al
-
-# here is where the script(s) to install netvirt should be executed
+git clone https://gerrit.opnfv.org/gerrit/p/sdnvpn.git $WORKSPACE/sdnvpn
+. $WORKSPACE/sdnvpn/odl-pipeline/odl-pipeline-common.sh
+pushd $LIB
+./odl_reinstaller.sh --cloner-info $CLONER_INFO --odl-artifact $NETVIRT_ARTIFACT
+popd \ No newline at end of file
diff --git a/jjb/3rd_party_ci/odl-netvirt.yml b/jjb/3rd_party_ci/odl-netvirt.yml
index 54d1e4353..0948353aa 100644
--- a/jjb/3rd_party_ci/odl-netvirt.yml
+++ b/jjb/3rd_party_ci/odl-netvirt.yml
@@ -56,15 +56,9 @@
branch: '{branch}'
- string:
name: NETVIRT_ARTIFACT
- default: $WORKSPACE/distribution-karaf.tar.gz"
+ default: $WORKSPACE/distribution-karaf.tar.gz
- 'ericsson-virtual6-defaults'
- scm:
- - gerrit-trigger-scm:
- credentials-id: '{ssh-credentials}'
- refspec: '$GERRIT_REFSPEC'
- choosing-strategy: 'gerrit'
-
triggers:
- gerrit:
server-name: 'git.opendaylight.org'
@@ -100,6 +94,7 @@
GERRIT_PATCHSET_NUMBER=$GERRIT_PATCHSET_NUMBER
GERRIT_PATCHSET_REVISION=$GERRIT_PATCHSET_REVISION
NETVIRT_ARTIFACT=$NETVIRT_ARTIFACT
+ APEX_ENV_NUMBER=$APEX_ENV_NUMBER
node-parameters: false
kill-phase-on: FAILURE
abort-all-job: true
@@ -176,12 +171,6 @@
- 'odl-netvirt-verify-virtual-postprocess-.*'
block-level: 'NODE'
- scm:
- - gerrit-trigger-scm:
- credentials-id: '{ssh-credentials}'
- refspec: '$GERRIT_REFSPEC'
- choosing-strategy: 'gerrit'
-
wrappers:
- ssh-agent-credentials:
users:
diff --git a/jjb/3rd_party_ci/postprocess-netvirt.sh b/jjb/3rd_party_ci/postprocess-netvirt.sh
index abc7975ce..adffaf42d 100755
--- a/jjb/3rd_party_ci/postprocess-netvirt.sh
+++ b/jjb/3rd_party_ci/postprocess-netvirt.sh
@@ -1,4 +1,7 @@
#!/bin/bash
+set -e
+
+# wipe the WORKSPACE
+/bin/rm -rf $WORKSPACE/*
echo "Hello World"
-ls -al $WORKSPACE
diff --git a/jjb/global/slave-params.yml b/jjb/global/slave-params.yml
index 96ad75c69..a8dae739a 100644
--- a/jjb/global/slave-params.yml
+++ b/jjb/global/slave-params.yml
@@ -692,7 +692,7 @@
description: 'Git URL to use on this Jenkins Slave'
- string:
name: APEX_ENV_NUMBER
- default: 0
+ default: '"0"'
description: 'The number of the Apex environment on the machine'
#####################################################
# These slaves are just dummy slaves for sandbox jobs